org.eclipse.incquery.runtime.api

## Class GenericPatternGroup

- java.lang.Object
- - org.eclipse.incquery.runtime.api.impl.BasePatternGroup
  - - org.eclipse.incquery.runtime.api.GenericPatternGroup

- All Implemented Interfaces:
    IQueryGroup

      public class GenericPatternGroup
      extends BasePatternGroup

  Generic implementation of `IQueryGroup`, covering an arbitrarily chosen set of patterns. Use the public constructor or static GenericPatternGroup.of(...) methods to instantiate.
  Author:
    Mark Czotter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenericPatternGroup(java.util.Set<IQuerySpecification<?>> patterns)` Creates a GenericPatternGroup object with a set of patterns.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set<IQuerySpecification<?>>` | `getSpecifications()` Returns the currently assigned `IQuerySpecification`s.
    `static IQueryGroup` | `of(IQueryGroup... subGroups)` Creates a generic `IQueryGroup` instance from other `IQueryGroup` objects (subgroups).
    `static IQueryGroup` | `of(IQuerySpecification<?>... querySpecifications)` Creates a generic `IQueryGroup` instance from `IQuerySpecification` objects.
    `static IQueryGroup` | `of(java.util.Set<IQuerySpecification<?>> querySpecifications)` Creates a generic `IQueryGroup` instance from `IQuerySpecification` objects.

    - ### Methods inherited from class org.eclipse.incquery.runtime.api.impl.BasePatternGroup

      `prepare, prepare`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GenericPatternGroup

          public GenericPatternGroup(java.util.Set<IQuerySpecification<?>> patterns)

      Creates a GenericPatternGroup object with a set of patterns.
      Parameters:
        `patterns` -

  - ### Method Detail

    - #### getSpecifications

          public java.util.Set<IQuerySpecification<?>> getSpecifications()

      Description copied from interface: `IQueryGroup`
      Returns the currently assigned `IQuerySpecification`s.

    - #### of

          public static IQueryGroup of(java.util.Set<IQuerySpecification<?>> querySpecifications)

      Creates a generic `IQueryGroup` instance from `IQuerySpecification` objects.
      Parameters:
        `querySpecifications` -

    - #### of

          public static IQueryGroup of(IQuerySpecification<?>... querySpecifications)

      Creates a generic `IQueryGroup` instance from `IQuerySpecification` objects.
      Parameters:
        `querySpecifications` -

    - #### of

          public static IQueryGroup of(IQueryGroup... subGroups)

      Creates a generic `IQueryGroup` instance from other `IQueryGroup` objects (subgroups).